### File

`packages/ecl/components/ecl-timeline/ecl-timeline-item-toggler.component.ts`

### Description

Component representing a toggler inside a timeline item. Emits a `toggle` event when clicked.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-timeline-item-toggler`
templateUrl | `ecl-timeline-item-toggler.component.html`

### Index

###### Methods
onTogglerClick getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
toggle
###### HostListeners
click

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

toggle
Type : `EventEmitter<void>`
Event emitted when the toggler is activated (clicked). Used to trigger expand/collapse behavior in the parent timeline item.

### HostListeners

click
`click()`
Handles click events on the toggler element and emits the `toggle` event.

### Methods

onTogglerClick
`onTogglerClick()`
Decorators : `@HostListener('click')`
Handles click events on the toggler element and emits the `toggle` event. Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

# results matching ""

# No results matching ""